<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "purmain";
$trandb = "purtran";
$formname = "Purchase Register";
$file = "purchreg.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $party = $_POST[party];
    $item = $_POST[item];
    $godown = $_POST[godown];
    $mtype = $_POST[mtype];

    $partycond = "";
    $brokercond = "";
    $transportcond = "";
    $itemcond = "";
    $godowncond = "";
    $mtypecond = "";

    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    if (!empty($item)) {
    $party = $_POST[party];
    $item = $_POST[item];
    $godown = $_POST[godown];
    $mtype = $_POST[mtype];

    $partycond = "";
    $brokercond = "";
    $transportcond = "";
    $itemcond = "";
    $godowncond = "";
    $mtypecond = "";

    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    if (!empty($item)) {
    $party = $_POST[party];
    $item = $_POST[item];
    $godown = $_POST[godown];
    $mtype = $_POST[mtype];

    $partycond = "";
    $brokercond = "";
    $transportcond = "";
    $itemcond = "";
    $godowncond = "";
    $mtypecond = "";

    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    if (!empty($item)) {
    $party = $_POST[party];
    $item = $_POST[item];
    $godown = $_POST[godown];
    $mtype = $_POST[mtype];

    $partycond = "";
    $brokercond = "";
    $transportcond = "";
    $itemcond = "";
    $godowncond = "";
    $mtypecond = "";

    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    if (!empty($item)) {
    $party = $_POST[party];
    $item = $_POST[item];
    $godown = $_POST[godown];
    $mtype = $_POST[mtype];

    $partycond = "";
    $brokercond = "";
    $transportcond = "";
    $itemcond = "";
    $godowncond = "";
    $mtypecond = "";

    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    if (!empty($item)) {
    $party = $_POST[party];
    $item = $_POST[item];
    $godown = $_POST[godown];
    $mtype = $_POST[mtype];

    $partycond = "";
    $brokercond = "";
    $transportcond = "";
    $itemcond = "";
    $godowncond = "";
    $mtypecond = "";

    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    if (!empty($item)) {
    $party = $_POST[party];
    $item = $_POST[item];
    $godown = $_POST[godown];
    $mtype = $_POST[mtype];

    $partycond = "";
    $brokercond = "";
    $transportcond = "";
    $itemcond = "";
    $godowncond = "";
    $mtypecond = "";

    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    if (!empty($item)) {
        $itemcond = " AND `name`='$item' ";
    }

    if (!empty($godown)) {
        $godowncond = " AND `godown`='$godown' ";
    }

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purchreg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purchreg.php");
    }
    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (!empty($mtype)) {
        $mtypecond = " AND `type`='$mtype' ";
    }
}
//print "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond $itemcond $godowncond $mtypecond";
$getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond $itemcond $godowncond $mtypecond")or die(mysqli_error($conn));

include("includes/linkshead.php");
?>
<script src="MyScript/item.js" type="text/javascript"></script>
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="col-lg-6">
                <label class="label-control marg">Date - </label>
                <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
            </div>
            <div class="col-lg-5">
                <label class="label-control marg">Print - </label>
                <label class="label-control marg"><?php Echo $formname; ?></label>
            </div>
            <div class="col-lg-1">
                <a onclick="window.close()" class="btn btn-primary">GO Back</a>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 pad">
                <table style="width:100%;background: white" class="table table-condensed table-hover">
                    <thead>
                        <tr style="height:10px;background-color: #1ABC9C">
                            <th>Sr</th>
                            <th>Type</th>
                            <th>Invoice No</th>
                            <th>Date</th>
                            <th>Supplier</th>
                            <th class="numeric">Amount</th>
                            <th class="numeric">Discount</th>
                            <th class="numeric">Freight</th>
                            <th class="numeric">Qty</th>
<!--                            <th class='numeric'>Qty</th>-->
                            <th class="numeric">Net Amount</th>                            
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $ctr = 0;
                        $subtot = 0;
                        $totdisc = 0;
                        $totfr = 0;
                        $totqty1 = 0;
                        $totnet = 0;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            $getmtype = mysqli_query($conn, "SELECT * FROM `type` WHERE `code`='$pmain[type]'")or die(mysqli_error($conn));
                            $mtype = mysqli_fetch_array($getmtype);

                            $getcustomer = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
                            $mcust = mysqli_fetch_array($getcustomer);

                            $getmqty = mysqli_query($conn, "SELECT SUM(qty)as totqty FROM `$trandb` WHERE `vouchno`='$pmain[VOUCHNO]'")or die(mysqli_error($conn));
                            $mqty = mysqli_fetch_array($getmqty);
                            $ctr++;
                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$mtype[name]</td>";
                            Echo "<td>$pmain[invno]</td>";
                            Echo "<td>$pmain[mydt]</td>";
                            Echo "<td>$mcust[name]</td>";
                            Echo "<td>$pmain[subtotal]</td>";
                            Echo "<td>$pmain[discount]</td>";
                            Echo "<td>$pmain[freight]</td>";
                            Echo "<td>$pmain[totqty]</td>";
//                            Echo "<td class='numeric'>$mqty[totqty]</td>";
                            Echo "<td>$pmain[netamt]</td>";
                            Echo "</tr>";
                            Echo "<tr>";

                            $subtot = $subtot + $pmain[subtotal];
                            $totdisc = $totdisc + $pmain[discount];
                            $totfr = $totfr + $pmain[freight];
                            $totqty1 = $totqty1 + $pmain[totqty];
                            $totnet = $totnet + $pmain[netamt];

                            if ($_POST["dtype"] == 2) {

                                Echo "<tr style='height:10px;'>";
                                Echo "<td colspan='25'>";
                                Echo "<table style='width:100%;' class='table table-condensed table-hover'>";
                                Echo "<th style='background-color: #cccccc'>Sr</th>";
                                Echo "<th style='background-color: #cccccc'>Brand</th>";
                                Echo "<th style='background-color: #cccccc'>item Name</th>";
                                Echo "<th style='background-color: #cccccc' class='numeric'>Taka</th>";
                                Echo "<th style='background-color: #cccccc' class='numeric'>Qty.</th>";
                                Echo "<th style='background-color: #cccccc' class='numeric'>Tot. Qty.</th>";
                                Echo "<th style='background-color: #cccccc' class='numeric'>Flag</th>";
                                Echo "<th style='background-color: #cccccc' class='numeric'>Flag Qty.</th>";
                                Echo "<th style='background-color: #cccccc' class='numeric'>Inv Qty.</th>";
                                Echo "<th style='background-color: #cccccc' class='numeric'>Rate</th>";
                                Echo "<th style='background-color: #cccccc' class='numeric'>Amount</th>";
                                Echo "<tr>";


                                $ctr2 = 0;
                                $totqty = 0;
                                $totamt = 0;
                                $totinv = 0;
                                $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
                                while ($tran = mysqli_fetch_array($gettran)) {

                                    $getbrand = mysqli_query($conn, "SELECT * FROM `brand` WHERE `code`='$tran[brand]'")or die(mysqli_error($conn));
                                    $mbrand = mysqli_fetch_array($getbrand);

                                    $getitem = mysqli_query($conn, "SELECT * FROM `item` WHERE `code`='$tran[itemcode]'")or die(mysqli_error($conn));
                                    $mitem = mysqli_fetch_array($getitem);

                                    $ctr2++;
                                    Echo "<tr>";
                                    Echo "<td>$ctr2</td>";
                                    Echo "<td>$mbrand[name]</td>";
                                    Echo "<td>$mitem[name]</td>";
                                    Echo "<td class='numeric'>$tran[taka]</td>";
                                    Echo "<td class='numeric'>$tran[qty]</td>";
                                    Echo "<td class='numeric'>$tran[totqty]</td>";
                                    Echo "<td class='numeric'>$tran[flag]</td>";
                                    Echo "<td class='numeric'>$tran[flagqty]</td>";
                                    Echo "<td class='numeric'>$tran[invqty]</td>";
                                    Echo "<td class='numeric'>$tran[rate]</td>";
                                    Echo "<td class='numeric'>$tran[amount]</td>";
                                    Echo "</tr>";
                                    $totqty = $totqty + $tran[totqty];
                                    $totinv = $totinv + $tran[invqty];
                                    $totamt = $totamt + $tran[amount];
                                }
                                Echo "</table>";
                                Echo "</td>";
                            }
                            if ($_POST["dtype"] == 2) {
                                echo "<tr> ";
                                echo "<td></td>";
                                echo "<td></td>";
                                echo "<td></td>";
                                echo "<td><h4><b>Total </b></h4></td>";
                                echo "<td align='right' id='font'><h4><b>$totqty</b></h4></td>";
                                echo "<td></td>";
                                echo "<td></td>";
                                echo "<td align='right' id='font'><h4><b>$totinv</b></h4></td>";
                                echo "<td></td>";
                                echo "<td align='right' id='font'><h4><b>$totamt</b></h4></td>";
                                echo "</tr>";
                            }
                        }

                        echo "<tr> ";
                        echo "<td></td>";
                        echo "<td></td>";
                        echo "<td></td>";
                        echo "<td></td>";
                        echo "<td><h4><b>Total </b></h4></td>";
                        echo "<td align='right' id='font'><h4><b>$subtot</b></h4></td>";
                        echo "<td align='right' id='font'><h4><b>$totdisc</b></h4></td>";
                        echo "<td align='right' id='font'><h4><b>$totfr</b></h4></td>";
                        echo "<td align='right' id='font'><h4><b>$totqty1</b></h4></td>";
                        echo "<td align='right' id='font'><h4><b>$totnet</b></h4></td>";
                        echo "</tr>";
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <?php include("includes/linksfoot.php"); ?>
</body>
</html>